Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Timeout_Generator Class Reference

Define the interface for the generators of timeout events. More...

`#include <EC_Timeout_Generator.h>`

Inheritance diagram for TAO_EC_Timeout_Generator:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_EC_Timeout_Generator (void)
| destructor. More...
virtual void | activate (void)=0
| Activate any internal threads. More...
virtual void | shutdown (void)=0
| Deactivate any internal threads, clients can destroy the object after calling this method. More...
virtual int | schedule_timer (TAO_EC_Timeout_Filter *filter, const ACE_Time_Value &delta, const ACE_Time_Value &interval)=0
| Add a timer at the given priority, returns the timer ID. More...
virtual int | cancel_timer (const TAO_EC_QOS_Info &info, int id)=0
| Cancel a timer at the given priority. More...

## Detailed Description

Define the interface for the generators of timeout events.

The Event Channel can use several strategies to dispatch timers, for instance, it can use the ORB reactor or a pool of reactors running at different priorities or a pool of Thread_Timer_Queue_Adapters running at different priorities also. This class is the abstract base class to abstract this strategies.

## Constructor & Destructor Documentation

TAO_EC_Timeout_Generator::~TAO_EC_Timeout_Generator | ( | void |  | ) | `[virtual]`

| destructor.

## Member Function Documentation

virtual void TAO_EC_Timeout_Generator::activate | ( | void |  | ) | `[pure virtual]`

| Activate any internal threads. Reimplemented in TAO_EC_Reactive_Timeout_Generator.

virtual int TAO_EC_Timeout_Generator::cancel_timer | ( | const TAO_EC_QOS_Info & | info,
|  | int | id
| ) | `[pure virtual]`

| Cancel a timer at the given priority. Reimplemented in TAO_EC_Reactive_Timeout_Generator.

virtual int TAO_EC_Timeout_Generator::schedule_timer | ( | TAO_EC_Timeout_Filter * | filter,
|  | const ACE_Time_Value & | delta,
|  | const ACE_Time_Value & | interval
| ) | `[pure virtual]`

| Add a timer at the given priority, returns the timer ID. Reimplemented in TAO_EC_Reactive_Timeout_Generator.

virtual void TAO_EC_Timeout_Generator::shutdown | ( | void |  | ) | `[pure virtual]`

| Deactivate any internal threads, clients can destroy the object after calling this method. Reimplemented in TAO_EC_Reactive_Timeout_Generator.

The documentation for this class was generated from the following files:

- EC_Timeout_Generator.h
- EC_Timeout_Generator.cpp